Package twisted :: Package names :: Module cache :: Class CacheResolver |
[frames | no frames]

## Class CacheResolver

    ResolverBase --+
                   |
                  CacheResolver

A resolver that serves records from a local, memory cache.

Method Summary
| `__init__(self, cache, verbose)`
| `__getstate__(self)`
| `__setstate__(self, state)`
| `_lookup(self, name, cls, type, timeout)`
| `cacheResult(self, query, payload)`
| `clearEntry(self, query)`
| `lookupAllRecords(self, name, timeout)`
Inherited from ResolverBase
| ``_cbRecords`(self, (ans, auth, add), name, effort)`
| ``getHostByName`(self, name, timeout, effort)`
| ``lookupAddress`(self, name, timeout)`
| ``lookupAddress6`(self, name, timeout)`
| ``lookupAFSDatabase`(self, name, timeout)`
| ``lookupAuthority`(self, name, timeout)`
| ``lookupCanonicalName`(self, name, timeout)`
| ``lookupHostInfo`(self, name, timeout)`
| ``lookupIPV6Address`(self, name, timeout)`
| ``lookupMailBox`(self, name, timeout)`
| ``lookupMailboxInfo`(self, name, timeout)`
| ``lookupMailExchange`(self, name, timeout)`
| ``lookupMailGroup`(self, name, timeout)`
| ``lookupMailRename`(self, name, timeout)`
| ``lookupNameservers`(self, name, timeout)`
| ``lookupNull`(self, name, timeout)`
| ``lookupPointer`(self, name, timeout)`
| ``lookupResponsibility`(self, name, timeout)`
| ``lookupService`(self, name, timeout)`
| ``lookupText`(self, name, timeout)`
| ``lookupWellKnownServices`(self, name, timeout)`
| ``lookupZone`(self, name, timeout)`
| ``query`(self, query, timeout)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IRe...`
`NoneType` | `cache` = None
Inherited from ResolverBase
`NoneType` | `typeToMethod` = None

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.internet.interfaces.IResolver at 0x829102c>,)

    ### cache Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net